For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTConnect device
      • POSTDisconnect device
      • GETList accounts
      • GETList projects for account

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceApplications Auth

List accounts

Deprecated
GET
https://api.frame.io/v2/devices/accounts
GET
/v2/devices/accounts
1import requests
2
3url = "https://api.frame.io/v2/devices/accounts"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "_type": "account",
4 "display_name": "Hogwarts General",
5 "id": "46b7ea11-3041-4e2b-97f7-98fbf5c974c9"
6 },
7 {
8 "_type": "account",
9 "display_name": "Gryffindor",
10 "id": "e6007a3d-cad7-4666-9ee3-23c1af032060"
11 },
12 {
13 "_type": "account",
14 "display_name": "QUIDDITCH LEGENDS -- LETS GOOOOOOOOOO",
15 "id": "cc94119d-f957-4d6e-b8cf-0c095211b1b9"
16 }
17]
List available accounts to pair your C2C device with.
Was this page helpful?
Previous

List projects for account

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Response headers

x-ratelimit-limitdouble

The number of times you can make this call within the x-ratelimit-window

x-ratelimit-windowstring
The length in milliseconds of the rate limit window
x-ratelimit-remainingstring

The number of remaining times you can make this API call in the x-ratelimit-window

Response

Example response
_typeenum

The resource type, will always be account.

Allowed values:
display_namestring
The account's display name
idstringformat: "uuid"
The unique identifier for this account

Errors

401
Unauthorized Error
404
Not Found Error